Bug 1479900 - apidoc for openscap results in a 404
apidoc for openscap results in a 404
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: SCAP Plugin (Show other bugs)
6.3.0
Unspecified Unspecified
low Severity low (vote)
: GA
: --
Assigned To: Ondřej Pražák
Nikhil Kathole
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 13:17 EDT by Bryan Kearney
Modified: 2018-02-21 12:09 EST (History)
8 users (show)

See Also:
Fixed In Version: foreman_openscap 0.7.10-2
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 12:09:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (164.77 KB, image/png)
2017-12-04 01:50 EST, Nikhil Kathole
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 21377 None None None 2017-10-18 07:14 EDT

  None (edit)
Description Bryan Kearney 2017-08-09 13:17:25 EDT
While testing 6.3, Snap 10:

1) Navigate to https://$HOST/apidoc/v2
2) Search on any of Policies, Arf reports, Scap Content, Tailoring Files
3) For each main section, or sub command, click on any link. Each ends in a 404.

Relevant Versions
satellite-cli-6.3.0-16.0.beta.el7sat.noarch
satellite-installer-6.3.0.3-1.beta.el7sat.noarch
satellite-6.3.0-16.0.beta.el7sat.noarch
tfm-rubygem-foreman_theme_satellite-1.0.4-1.el7sat.noarch
tfm-rubygem-foreman_openscap-0.7.4-1.fm1_15.el7sat.noarch
tfm-rubygem-apipie-rails-0.4.0-2.el7sat.noarch
tfm-rubygem-apipie-bindings-0.2.0-1.el7sat.noarch
tfm-rubygem-apipie-params-0.0.5-1.el7sat.noarch
Comment 1 Marek Hulan 2017-08-10 10:28:37 EDT
as a workaround, generate the cache by running

> foreman-rake apipie:cache

after it finishes, pages are there.

I suppose this might be similar for other plugins and might not be trivial to be fixed. The task is run in installer after the db is seeded, but we run only rake apipie:cache:index, I'm not sure whether it's the cause. Tomas do you happen to know? I suppose apipie:cache:index is used to make the installer run faster.
Comment 2 Tomas Strachota 2017-08-11 02:44:55 EDT
If I recall it correctly plugins are supposed to provide their own part of the cache and apipie:cache:index glues the information together:
https://github.com/theforeman/foreman/blob/develop/lib/tasks/apipie.rake#L12-L16

I'm not sure where the plugin cache is generated. I guess that Martin will know.
Comment 3 Marek Hulan 2017-09-25 08:06:55 EDT

*** This bug has been marked as a duplicate of bug 1490070 ***
Comment 4 Marek Hulan 2017-09-25 08:09:43 EDT

*** This bug has been marked as a duplicate of bug 1480563 ***
Comment 5 Martin Bacovsky 2017-10-15 17:06:22 EDT
The scap plugin needs to prebuild the cache during a build time. This will be fixed by adding '-a' switch to the foreman_precompile_plugin macro [1].

I'm reopening the bug as though the consequences are same as in the virt-who plugin each of the plugins will require its own fix.

[1]  https://github.com/theforeman/foreman-packaging/blob/rpm/develop/rubygem-foreman_openscap/rubygem-foreman_openscap.spec#L77
Comment 6 Ondřej Pražák 2017-10-18 07:14:54 EDT
Connecting redmine issue http://projects.theforeman.org/issues/21377 from this bug
Comment 9 Nikhil Kathole 2017-12-04 01:49:55 EST
VERIFIED

Version Tested:
Satellite-6.3 Snap 27

Found api documentation for policy, scap-content, tailoring-file and arf-report.
Comment 10 Nikhil Kathole 2017-12-04 01:50 EST
Created attachment 1362533 [details]
screenshot
Comment 11 Bryan Kearney 2018-02-21 11:44:00 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336
Comment 12 Bryan Kearney 2018-02-21 12:09:48 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.